FROM dajobe/hbase:latest

ARG FL_VERSION=1.8.0
ARG FL_MIRROR=http://www-eu.apache.org/dist/
LABEL flume-version=$FL_VERSION

ENV JAVA_VERSION=8 JAVA_HOME=/usr/lib/jvm/java-1.8.0-openjdk-amd64/jre/

COPY *.sh /build/

RUN \
	bash /build/install-java-flume.sh

ADD hbase-agent/generic.conf /opt/flume/generic.conf

EXPOSE 1234
EXPOSE 34545

WORKDIR /opt/flume 

ENTRYPOINT ["bin/flume-ng", "agent"]
CMD ["-n", "agent", "-c", "conf", "-f", "generic.conf", "-Dflume.root.logger=INFO,console", "-Dflume.monitoring.type=http", "-Dflume.monitoring.port=34545"]

